Package com.complexible.common.rdf.query.resultio

# Class HTMLQueryResultWriter

java.lang.Object
com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter
com.complexible.common.rdf.query.resultio.HTMLQueryResultWriter

All Implemented Interfaces:
  `QueryResultWriter<BindingSet>`, `SelectQueryResultWriter`, `QueryResultHandler<BindingSet>`, `SelectQueryResultHandler`

public final class HTMLQueryResultWriter extends AbstractDataExporterQueryResultWriter

Since:
  1.2
Version:
  6.0
Author:
  Evren Sirin, Michael Grove

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `HTMLQueryResultWriter.HTMLQueryResultWriterFactory`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final QueryResultFormat`
  `FORMAT`

  ### Fields inherited from class com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter

  `mColCount, mColumns, mExporter, mOut, mResult`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HTMLQueryResultWriter(OutputStream theOut, Options theOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.brsanthu.dataexporter.DataExporter`
  `createExporter()`
  Creates the exporter and sets its options

  ### Methods inherited from class com.complexible.common.rdf.query.resultio.AbstractDataExporterQueryResultWriter

  `addNamespaces, end, format, handle, links, namespace, start, variables`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FORMAT

    public static final QueryResultFormat FORMAT

- ## Constructor Details

  - ### HTMLQueryResultWriter

    public HTMLQueryResultWriter(OutputStream theOut, Options theOptions)

- ## Method Details

  - ### createExporter

    protected com.brsanthu.dataexporter.DataExporter createExporter()
    Creates the exporter and sets its options
    Specified by:
      `createExporter` in class `AbstractDataExporterQueryResultWriter`
    Returns:
      a DataExporter object